> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update database settings



## OpenAPI

````yaml /openapi.json patch /api/databases/{databaseId}/settings
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/databases/{databaseId}/settings:
    patch:
      tags:
        - Databases
      summary: Update database settings
      operationId: patchApiDatabasesByDatabaseIdSettings
      parameters:
        - name: databaseId
          in: path
          required: true
          schema:
            minLength: 1
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  minLength: 1
                  type: string
                memoryMB:
                  anyOf:
                    - type: number
                    - type: string
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  minLength: 1
                  type: string
                memoryMB:
                  anyOf:
                    - type: number
                    - type: string
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  minLength: 1
                  type: string
                memoryMB:
                  anyOf:
                    - type: number
                    - type: string
      responses:
        default:
          description: Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key

````